//////////////////////////////////////////////////////////////////////////////
//    Copyright 2004-2019, SenseGraphics AB
//
//    This file is part of MedX3D.
//
//    MedX3D is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    MedX3D is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with MedX3D; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//    A commercial license is also available. Please contact us at 
//    www.sensegraphics.com for more information.
//
//
/// \file MedX3DDemoMIPVolumeStyleOptions.h
/// \brief Header file for MedX3DDemoMIPVolumeStyleOptions. Subclass of
/// MIPVolumeStyleOptions, which is generated by wxFormBuilder.
///
//
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __MedX3DDemoMIPVolumeStyleOptions__
#define __MedX3DDemoMIPVolumeStyleOptions__

#include <H3D/MedX3D/ProjectionVolumeStyle.h>

#include "MedX3DDemo.h"

/** Implementing MIPVolumeStyleOptions */
class MedX3DDemoMIPVolumeStyleOptions : public MIPVolumeStyleOptions
{
  virtual void OnIntensityThresholdSlider( wxScrollEvent& event );
    virtual void OnProjectionStyleTypeChoice( wxCommandEvent& event );

  H3DUtil::AutoRef< H3D::ProjectionVolumeStyle > mip_style;
public:
  /** Constructor */
  MedX3DDemoMIPVolumeStyleOptions( wxWindow* parent,
                                   H3D::ProjectionVolumeStyle *style );
};

#endif // __MedX3DDemoMIPVolumeStyleOptions__
